Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.ss.usermodel
Class HorizontalAlignment

    java.lang.Object
      org.apache.poi.ss.usermodel.HorizontalAlignment

    public class HorizontalAlignment

extends java.lang.Object

The enumeration value indicating horizontal alignment of a cell, i.e., whether it is aligned general, left, right, horizontally centered, filled (replicated), justified, centered across multiple cells, or distributed.

Field Summary
`static HorizontalAlignment` | `CENTER` The horizontal alignment is centered, meaning the text is centered across the cell.
`static HorizontalAlignment` | `CENTER_SELECTION` The horizontal alignment is centered across multiple cells.
`static HorizontalAlignment` | `DISTRIBUTED` Indicates that each 'word' in each line of text inside the cell is evenly distributed across the width of the cell, with flush right and left margins.
`static HorizontalAlignment` | `FILL` Indicates that the value of the cell should be filled across the entire width of the cell.
`static HorizontalAlignment` | `GENERAL` The horizontal alignment is general-aligned.
`static HorizontalAlignment` | `JUSTIFY` The horizontal alignment is justified (flush left and right).
`static HorizontalAlignment` | `LEFT` The horizontal alignment is left-aligned, even in Rightto-Left mode.
`static HorizontalAlignment` | `RIGHT` The horizontal alignment is right-aligned, meaning that cell contents are aligned at the right edge of the cell, even in Right-to-Left mode.

Constructor Summary
`HorizontalAlignment(int i)`

Method Summary
`int` | `getOrdinal()`
`static HorizontalAlignment[]` | `values()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GENERAL

    public static final HorizontalAlignment GENERAL

  The horizontal alignment is general-aligned. Text data is left-aligned. Numbers, dates, and times are rightaligned. Boolean types are centered. Changing the alignment does not change the type of data.

### LEFT

    public static final HorizontalAlignment LEFT

  The horizontal alignment is left-aligned, even in Rightto-Left mode. Aligns contents at the left edge of the cell. If an indent amount is specified, the contents of the cell is indented from the left by the specified number of character spaces. The character spaces are based on the default font and font size for the workbook.

### CENTER

    public static final HorizontalAlignment CENTER

  The horizontal alignment is centered, meaning the text is centered across the cell.

### RIGHT

    public static final HorizontalAlignment RIGHT

  The horizontal alignment is right-aligned, meaning that cell contents are aligned at the right edge of the cell, even in Right-to-Left mode.

### FILL

    public static final HorizontalAlignment FILL

  Indicates that the value of the cell should be filled across the entire width of the cell. If blank cells to the right also have the fill alignment, they are also filled with the value, using a convention similar to centerContinuous.

  Additional rules:

  1. Only whole values can be appended, not partial values.
  2. The column will not be widened to 'best fit' the filled value
  3. If appending an additional occurrence of the value exceeds the boundary of the cell left/right edge, don't append the additional occurrence of the value.
  4. The display value of the cell is filled, not the underlying raw number.

### JUSTIFY

    public static final HorizontalAlignment JUSTIFY

  The horizontal alignment is justified (flush left and right). For each line of text, aligns each line of the wrapped text in a cell to the right and left (except the last line). If no single line of text wraps in the cell, then the text is not justified.

### CENTER_SELECTION

    public static final HorizontalAlignment CENTER_SELECTION

  The horizontal alignment is centered across multiple cells. The information about how many cells to span is expressed in the Sheet Part, in the row of the cell in question. For each cell that is spanned in the alignment, a cell element needs to be written out, with the same style Id which references the centerContinuous alignment.

### DISTRIBUTED

    public static final HorizontalAlignment DISTRIBUTED

  Indicates that each 'word' in each line of text inside the cell is evenly distributed across the width of the cell, with flush right and left margins.

  When there is also an indent value to apply, both the left and right side of the cell are padded by the indent value.

  A 'word' is a set of characters with no space character in them.

  Two lines inside a cell are separated by a carriage return.

Constructor Detail

### HorizontalAlignment

    public HorizontalAlignment(int i)

Method Detail

### getOrdinal

    public int getOrdinal()

### values

    public static HorizontalAlignment[] values()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD